Connections
Get a connection
Retrieves the specified connection and its configuration details without including credential values.
Parametry zapytań
api-version
string
wymagane
The API version to use for this operation.
Parametry ścieżki
name
string
wymagane
The friendly name of the connection, provided by the user.
Parametry nagłówka
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Odpowiedzi
The request has succeeded.
Nagłówki
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Treść
name
string
wymagane
The friendly name of the connection, provided by the user.
id
string
wymagane
A unique identifier for the connection, generated by the service
type
string | enum
wymagane
The Type (or category) of the connection
enum
target
string
wymagane
The connection URL to be used for this service
isDefault
boolean
wymagane
Whether the connection is tagged as the default connection of its type
credentials
ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview
wymagane
A base class for connection credentials
ApiKey
ApiKeyCredentials
API Key Credential definition
type
enum
wymagane
The credential type
key
string
API Key
AAD
EntraIDCredentials
Entra ID credential definition
type
enum
wymagane
The credential type
CustomKeys
CustomCredential
Custom credential definition
type
enum
wymagane
The credential type
SAS
SASCredentials
Shared Access Signature (SAS) credential definition
type
enum
wymagane
The credential type
SAS
string
SAS token
None
NoAuthenticationCredentials
Credentials that do not require authentication
type
enum
wymagane
The credential type
AgenticIdentityToken_Preview
AgenticIdentityPreviewCredentials
Agentic identity credential definition
type
enum
wymagane
The credential type
metadata
object
wymagane
Metadata of the connection
Żądanie
GET /connections/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json